variable "project_id" {
    description = "ID du projet GCP"
    type        = string
}

variable "project_name" {
    description = "Nom du projet"
    type        = string
    default     = "mon-projet"
}

variable "region" {
    description = "Région GCP"
    type        = string
    default     = "europe-west9"
}

variable "zone" {
    description = "Zone GCP pour les instances"
    type        = string
    default     = "europe-west9-b"
}

variable "instance_type" {
    description = "Type d'instance GCP"
    type        = string
    default     = "e2-small"
}

variable "frontend_cidr" {
    description = "CIDR pour le sous-réseau frontend"
    type        = string
    default     = "10.0.1.0/24"
}

variable "backend_cidr" {
    description = "CIDR pour le sous-réseau backend"
    type        = string
    default     = "10.0.2.0/24"
}

variable "database_cidr" {
    description = "CIDR pour le sous-réseau database"
    type        = string
    default     = "10.0.3.0/24"
}

variable "ssh_source_ranges" {
    description = "Plages d'adresses IP source autorisées pour SSH"
    type        = string
    default     = "0.0.0.0/0"
}

